#
# spec file for package vegastrike
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           vegastrike
Version:        0.5.1.r1
Release:        lp152.3.8
Summary:        3D OpenGL spaceflight simulator
License:        GPL-2.0+
Group:          Amusements/Games/3D/Simulation
Url:            http://vegastrike.sourceforge.net/
Source0:        http://master.dl.sourceforge.net/project/%{name}/%{name}/0.5.1/%{name}-src-%{version}.tar.bz2
# Found in the mandriva srpm, origin Debian ?
Source1:        %{name}-manpages.tar.bz2
Source2:        %{name}-wrapper.sh
# PATCH-FIX-OPENSUSE vegastrike-0.4.2-vssetup-fix.patch
Patch0:         vegastrike-0.4.2-vssetup-fix.patch
# PATCH-FIX-UPSTREAM vegastrike-src-0.5.1.r1-r13353-r13354.patch -- fix music reproduction, already upstreamed, not yet in tarball
Patch1:         vegastrike-src-0.5.1.r1-r13353-r13354.patch
# PATCH-FIX-UPSTREAM vegastrike-src-0.5.1.r1-license.patch -- update FSF address, already upstreamed, not yet in tarball
Patch2:         vegastrike-src-0.5.1.r1-license.patch
# PATCH-FIX-UPSTREAM vegastrike-src-0.5.1.r1-gcc47_compat.patch -- GCC 4.7 compatibility fixes, already upstreamed, not yet in tarball
Patch3:         vegastrike-src-0.5.1.r1-gcc47_compat.patch
# PATCH-FIX-UPSTREAM vegastrike-src-0.5.1.r1-r13498-al_fix.patch -- fix build without openAL (SLE)
Patch4:         vegastrike-src-0.5.1.r1-r13498-al_fix.patch
# PATCH-FIX-UPSTREAM vegastrike-src-0.5.1.r1-libpng16.patch -- fix build with libpng16 pgajdos@suse.com; klaussfreire@gmail.com notified
Patch5:         vegastrike-src-0.5.1.r1-libpng16.patch
# PATCH-FIX-UPSTREAM vegastrike-src-0.5.1.r1-boost150_compat.patch -- fix build with latest boost (seemingly unrelated change but boost makes it blow without)
Patch6:         vegastrike-src-0.5.1.r1-boost150_compat.patch
Patch7:         vegastrike-aarch64.patch
# PATCH-FIX-UPSTREAM vegastrike-src-0.5.1.r1-gcc6_compat.patch -- GCC 6 compatibility fixes, already upstreamed, not yet in tarball
Patch8:         vegastrike-src-0.5.1.r1-gcc6_compat.patch
# PATCH-FIX-OPENSUSE vegastrike-src-0.5.1.r1-gcc6_math_h.patch -- GCC 6 compatibility fixes, not upstreamable, autotools build system deprecated by upstream
Patch9:         vegastrike-src-0.5.1.r1-gcc6_math_h.patch
Patch10:        vegastrike_ppc64.patch
# PATCH-FIX-UPSTREAM vegastrike-src-0.5.1.r1-r13729-gcc7fix.patch -- GCC 7 fixes, already upstreamed, not yet in tarball
Patch11:        vegastrike-src-0.5.1.r1-r13729-gcc7fix.patch
BuildRequires:  SDL_mixer-devel
BuildRequires:  autoconf
BuildRequires:  automake
%if 0%{?suse_version} > 1325
BuildRequires:  libboost_python-devel
%else
BuildRequires:  boost-devel
%endif
BuildRequires:  freealut-devel
BuildRequires:  freeglut-devel
BuildRequires:  gcc-c++
BuildRequires:  gtk2-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libpng-devel
BuildRequires:  libvorbis-devel
BuildRequires:  python-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version}
BuildRequires:  fdupes
BuildRequires:  libexpat-devel
BuildRequires:  xorg-x11-libXmu-devel
BuildRequires:  pkgconfig(openal)
%if 0%{?suse_version} > 1210
BuildRequires:  pkgconfig(glu)
%endif
%endif
%if 0%{?fedora} > 0
BuildRequires:  expat-devel
%endif
%if 0%{?mdkversion} >= 2006
%ifarch x86_64
BuildRequires:  lib64expat1-devel
BuildRequires:  lib64mesagl1-devel
BuildRequires:  lib64x11_6-devel
%else
BuildRequires:  libexpat1-devel
BuildRequires:  libmesagl1-devel
BuildRequires:  libmesaglu1-devel
BuildRequires:  libx11_6-devel
%endif
%else
BuildRequires:  Mesa-devel
BuildRequires:  xorg-x11-devel
%endif
Requires:       opengl-games-utils
Requires:       xdg-utils
%if 0%{?suse_version}
Recommends:     %{name}-data >= %{version}
%endif

%description
Vega Strike is a GPL 3D OpenGL Action RPG space sim that allows a player to
trade and bounty hunt. You start in an old beat up Wayfarer cargo ship, with
endless possibility before you and just enough cash to scrape together a life.
Yet danger lurks in the space beyond.

%prep
%setup -q -a 1 -n %{name}-src-%{version}
%patch0 -p1
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p0
%patch5 -p0
%patch6 -p1
%patch7 -p1
%patch8 -p0
%patch9 -p0
%patch10 -p1
%patch11 -p1
iconv -f ISO-8859-1 -t UTF-8 README > README.tmp
touch -r README README.tmp
mv README.tmp README
sed -i 's/-lboost_python-st/-lboost_python/g' Makefile.in
# we want to use the system version of expat.h
rm objconv/mesher/expat.h

%build
autoreconf -fi
%configure --with-data-dir=%{_datadir}/%{name} --with-boost=system \
  --enable-release --enable-flags="%{optflags} -DBOOST_PYTHON_NO_PY_SIGNATURES" \
  --disable-ffmpeg --disable-ogre --enable-stencil-buffer
make -j1

%install
make DESTDIR=%{buildroot} install
install -p -m 755 %{SOURCE2} %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_libexecdir}/%{name}
chmod +x %{buildroot}%{_prefix}/objconv/*
mv %{buildroot}%{_prefix}/objconv/* \
  %{buildroot}%{_libexecdir}/%{name}
for i in asteroidgen base_maker mesh_xml mesher replace tempgen trisort \
         vsrextract vsrmake; do
  mv %{buildroot}%{_bindir}/$i %{buildroot}%{_libexecdir}/%{name}
done
mkdir -p %{buildroot}%{_mandir}/man6
install -p -m 644 *.6 %{buildroot}%{_mandir}/man6
%if 0%{?suse_version}
%fdupes -s %{buildroot}%{_mandir}/man6
%endif

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING DOCUMENTATION README ToDo.txt
%{_bindir}/vega*
%{_bindir}/vs*
%{_libexecdir}/%{name}
%{_mandir}/man6/*

%changelog
* Wed Jun 21 2017 klaussfreire@gmail.com
- add patch vegastrike-src-0.5.1.r1-r13729-gcc7fix.patch
  GCC 7 fix, use proper member dereference through pointers.
  Fixes bsc#1041256
* Thu Feb  2 2017 adam.majer@suse.de
- use individual libboost-*-devel packages instead of boost-devel
* Tue Aug 30 2016 normand@linux.vnet.ibm.com
- new vegastrike_ppc64.patch
* Fri Jun 17 2016 klaussfreire@gmail.com
- add patch vegastrike-src-0.5.1.r1-gcc6_compat.patch
  Fixes build with GCC 6 due to redefinition of copysign,
  uncastable return values in pk3 and name clashes
- add patch vegastrike-src-0.5.1.r1-gcc6_math_h.patch
  Fixes detection of math.h system include file
- add autoconf and automake build dependencies
- add autoreconf at build time
* Mon May 11 2015 dmueller@suse.com
- add vegastrike-aarch64.patch: Fix build for aarch64
* Mon Mar 16 2015 klaussfreire@gmail.com
- Reduce memory constraints again, new ones weren't realistic
- Disable parallel build to decrease memory consumption
* Wed Nov 26 2014 klaussfreire@gmail.com
- Increase memory constraint to reflect increased build memory
  requirements on Factory x86_64
* Fri Oct 10 2014 klaussfreire@gmail.com
- Add _constraints to avoid resource exhaustion during build
* Tue Mar 19 2013 klaussfreire@gmail.com
- Add patch vegastrike-src-0.5.1.r1-boost150_compat.patch
  Fixes build with latest boost versions (1.5x)
* Fri Feb 15 2013 pgajdos@suse.com
- build also with libpng16
  * libpng16.patch
* Thu Jan 31 2013 klaussfreire@gmail.com
- Add patch vegastrike-src-0.5.1.r1-r13498-al_fix.patch
  Fixes build when openal is missing (SLE 11 exposed it)
- Explicitly require openal (SLE 11 fix)
* Sat Jan  5 2013 joop.boonen@opensuse.org
- cleaned the spec file up
* Tue Sep 18 2012 coolo@suse.com
- add explict buildrequire on glu
* Mon May  7 2012 klaussfreire@gmail.com
- Tag patches in spec file
* Tue May  1 2012 klaussfreire@gmail.com
- Disable building with Ogre, for more repeatable builds
* Fri Apr 27 2012 klaussfreire@gmail.com
- GCC 4.7 compatibility fix
* Wed Apr 18 2012 klaussfreire@gmail.com
- Update license to use spdx.org
- Use fdupes to collapse identical man files
- Update license text to update FSF address
* Wed Apr 11 2012 klaussfreire@gmail.com
- Fix music (upstream r13353-r13354)
* Sun Apr  1 2012 klaussfreire@gmail.com
- Upgraded to upstream 0.5.1.r1 source release
  * Fixed: MIP loading on rectangular textures
  * Fixed: tumbling capships while docking
  * Issues #3487109, #2531359, #2808586, #2812869, #2879873,
    [#2929602] fixed
* Mon Feb 13 2012 klaussfreire@gmail.com
- Added expat buildreq for fedora
* Mon Jan 30 2012 klaussfreire@gmail.com
- Upgraded to upstream 0.5.1.beta2 source release
  * Intel MESA DRI fixes
  * Fixed beam weapons
  * Fixed repair bot levels
  * Cargo mules - allow cargo inside fleet vessels
  * Offline Vertex de-duplication by mesh_tool
  * Fixed "-d" option, supporting alternate data dirs
  * Set correct unit for cargo on vdu manifest.
    Should be m^3 for cubic meters, not m^2.
  * Some smaller fixes and enhancements and code cleanup
  * Patches #3211661, #3250877, #3353864, #3353868, #3376191,
    [#3376207], #3373653, #3373650, #3372844, #3373595, #3373583,
    [#3438260], #3372847, #3372846, #3372837, #3372839, #3372494,
    [#3372591], #3372832, #2121764 applied
  * Issues #3211697, #3315526, #3413675, #3413685, #3434184,
    [#3440480], #3440493, #3441556, #3311033, #3462191, #3325181,
    [#3191110], #3473367, #3325177 fixed
* Tue Mar  8 2011 klaussfreire@users.sourceforge.net
- Upgraded to upstream 0.5.1.beta1-2 source release (by patch)
* Fri Mar  4 2011 klaussfreire@users.sourceforge.net
- Fidex module search path ordering so that mod modules take precedence over system modules
* Sat Feb 26 2011 klaussfreire@users.sourceforge.net
- Merged upstream changes from SVN rev 13079-13087
- Reduced message clutter in the console for release builds.
- feature fix for tracker id #2143066 (upgarde item named "basic repair & refuel).
- font fix for stroke font size on base computer screen.
  Fri Feb 25 04:40:33 UTC 2011 - klaussfreire@users.sourceforge.net
- Upgraded to upstream 0.5.1.beta1 source release
* Sun Nov 23 2008 claes.backstrom@fsfe.org
- New version of vegastrike-0.4.2-vssetup-fix.patch
* Wed May 21 2008 claes.backstrom@fsfe.org
- Initial package
